4 Replies Latest reply: Jul 3, 2011 4:50 PM by girr132
Qeeg Level 1 Level 1 (0 points)
I have a 3rd Gen Ipod Touch, and it states on the website that this supported to update to iOS 4.3

However, when I try to update, I get the same error message.

"This version of the Ipod software (4.2.1) is the current version"

anyone have any idea what might be causing this?
I have the latest version of Itunes, I have tried 2 different cables, also I have restored my Ipod back to factory settings,

There is nothing else that I can think of doing, as there is no update anywhere for me to manually download, and it's getting rather annoying to say the least.

Thanks